Subject: Re: [Shop-talk] caulk gun

From: Doug Braun <[email-masked]>
Date: Tue, 12 Mar 2013 22:33:31 -0400

About 10 years ago I had a great gun that my wife bought somewhere.  All I
know about it was that it was made in the UK, and it was orange.  Then I
lent it to somebody, and I never saw it again.

A bit of googling led me to this:

http://www.doityourself.com/forum/painting/63871-caulk-gun-made-england.html

Doug

On Tue, Mar 12, 2013 at 9:56 PM, Brad Kahler <[email-masked]> wrote:

> I'm in need of a new caulk gun and the only style I seem to be able to find
> has the smooth round shaft.  My experience with a half dozen different guns
> like that is they work like crap.  I bought the best one Lowes had to offer
> and it was just as bad as the rest of them.
>
> Somehow I lost my nice gun that had teeth for the ratchet mechanism.  That
> gun always worked.
>
> Any suggestions on where to find a decent gun with teeth on the shaft?
>
> Thanks,
>
> Brad
> ____
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive

---

From: Brian Kemp <[email-masked]>
Date: Tue, 12 Mar 2013 21:53:49 -0700

Brad - I have one of the orange caulk guns another list member 
mentioned.  It is made by Cox and says Wexford and made in England. I 
thought I got it at Home Depot a number of years ago, but they don't 
have it on their website, though they do have other Cox products.

See

http://www.amazon.com/41001-Wexford-10-3-Ounce-Cartridge-Skeleton/dp/B000DZCYLA

or a fiberglass one

http://www.amazon.com/21001-10-3-Ounce-Cartridge-Skeleton-Fiberglass/dp/B000FPDFHA

for samples.  If the links don't work just put in "cox caulk gun" at 
Amazon and select under $25.

I highly recommend this gun.  Mine is metal and has gone though many 
tubes, including some old stuff that went hard.  It doesn't have teeth 
like you wanted, but I can say it will apply considerable pressure and 
not slip.  This shaft is a hexagon.  At the same time, when you release 
the grip, it slightly eases the pressure, so the caulk stops.  The bent 
hook one the back of the shaft is great for hanging on a pocket or part 
of a ladder.

I pulled out my cheap caulk gun last summer because I misplaced the Cox 
one and there is so much difference, I looked till I found the good one.

Brian

On 3/12/2013 6:56 PM, Brad Kahler wrote:
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]

[email-masked]

---

From: Brad Kahler <[email-masked]>
Date: Thu, 14 Mar 2013 11:15:43 -0400

Guys, thanks for the response.  I would have replied sooner but I've been a
little under the weather the last few days.

I think I'll pick up the one that Brian recommends and give it a try.

I guess no one sells the type with teeth on it anymore :(

Thanks!

Brad

On Wed, Mar 13, 2013 at 12:53 AM, Brian Kemp <[email-masked]> wrote:

> Brad - I have one of the orange caulk guns another list member mentioned.
>  It is made by Cox and says Wexford and made in England. I thought I got it
> at Home Depot a number of years ago, but they don't have it on their
> website, though they do have other Cox products.
>
> See
>
> http://www.amazon.com/41001-**Wexford-10-3-Ounce-Cartridge-**
> Skeleton/dp/B000DZCYLA<http://www.amazon.com/41001-Wexford-10-3-Ounce-Cartridge-Skeleton/dp/B000DZCYLA>
>
> or a fiberglass one
>
> http://www.amazon.com/21001-**10-3-Ounce-Cartridge-Skeleton-**
> Fiberglass/dp/B000FPDFHA<http://www.amazon.com/21001-10-3-Ounce-Cartridge-Skeleton-Fiberglass/dp/B000FPDFHA>
>
> tubes, including some old stuff that went hard.  It doesn't have teeth like
> you wanted, but I can say it will apply considerable pressure and not slip.
>  This shaft is a hexagon.  At the same time, when you release the grip, it
> slightly eases the pressure, so the caulk stops.  The bent hook one the
> back of the shaft is great for hanging on a pocket or part of a ladder.
>
>> ______________________________**_________________
>>
>> [email-masked]
>> Donate: http://www.team.net/donate.**html<http://www.team.net/donate.html>
>> Unsubscribe/Manage: http://autox.team.net/mailman/**
>> options/shop-talk/bk13@**earthlink.net<http://autox.team.net/mailman/options/shop-talk/[email-masked]>

[email-masked]